## Tcl8.6.0/Tk8.6.0 Documentation > Tcl C API, version 8.6.0 > CmdCmplt

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

### NAME

Tcl_CommandComplete — Check for unmatched braces in a Tcl command

### SYNOPSIS

#include <tcl8.6/tcl.h>
int
Tcl_CommandComplete(cmd)

### ARGUMENTS

const char *cmd (in)
  Command string to test for completeness.

### DESCRIPTION

Tcl_CommandComplete takes a Tcl command string as argument and determines whether it contains one or more complete commands (i.e. there are no unclosed quotes, braces, brackets, or variable references). If the command string is complete then it returns 1; otherwise it returns 0.

### KEYWORDS

complete command, partial command
Copyright © 1989-1993 The Regents of the University of California. Copyright © 1994-1996 Sun Microsystems, Inc.